summaryrefslogtreecommitdiff
path: root/configs/profile-openrc/airootfs/root
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2018-05-16 21:08:49 -0400
committerDavid P <megver83@parabola.nu>2018-05-16 21:27:46 -0400
commit765756ae126d57735c22d59a7c1242f01443921e (patch)
treec5d5f3e7979f5a0098e7294d1e8dbae3aa71c562 /configs/profile-openrc/airootfs/root
parentff5f93347993bfdb6c58746baee006dbad7a3dd8 (diff)
modify entire source according to archiso32
and remove unused configs/talkingparabola-X11 Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'configs/profile-openrc/airootfs/root')
-rwxr-xr-xconfigs/profile-openrc/airootfs/root/.automated_script.sh34
-rw-r--r--configs/profile-openrc/airootfs/root/.zlogin1
-rwxr-xr-xconfigs/profile-openrc/airootfs/root/customize_airootfs.sh41
-rw-r--r--configs/profile-openrc/airootfs/root/install.txt2
4 files changed, 78 insertions, 0 deletions
diff --git a/configs/profile-openrc/airootfs/root/.automated_script.sh b/configs/profile-openrc/airootfs/root/.automated_script.sh
new file mode 100755
index 0000000..fb106da
--- /dev/null
+++ b/configs/profile-openrc/airootfs/root/.automated_script.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+script_cmdline ()
+{
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ script=*) echo "${param##*=}" ; return 0 ;;
+ esac
+ done
+}
+
+automated_script ()
+{
+ local script rt
+ script="$(script_cmdline)"
+ if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
+ if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
+ wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "${script}" /tmp/startup_script
+ rt=$?
+ fi
+ if [[ ${rt} -eq 0 ]]; then
+ chmod +x /tmp/startup_script
+ /tmp/startup_script
+ fi
+ fi
+}
+
+if [[ $(tty) == "/dev/tty1" ]]; then
+ automated_script
+fi
diff --git a/configs/profile-openrc/airootfs/root/.zlogin b/configs/profile-openrc/airootfs/root/.zlogin
new file mode 100644
index 0000000..f598e43
--- /dev/null
+++ b/configs/profile-openrc/airootfs/root/.zlogin
@@ -0,0 +1 @@
+~/.automated_script.sh
diff --git a/configs/profile-openrc/airootfs/root/customize_airootfs.sh b/configs/profile-openrc/airootfs/root/customize_airootfs.sh
new file mode 100755
index 0000000..f52ac11
--- /dev/null
+++ b/configs/profile-openrc/airootfs/root/customize_airootfs.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+chmod 700 /root
+
+sed -i 's/#\(PermitRootLogin \).\+/\1yes/' /etc/ssh/sshd_config
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+
+sed -i 's/#\(HandleSuspendKey=\)suspend/\1ignore/' /etc/elogind/logind.conf
+sed -i 's/#\(HandleHibernateKey=\)hibernate/\1ignore/' /etc/elogind/logind.conf
+sed -i 's/#\(HandleLidSwitch=\)suspend/\1ignore/' /etc/elogind/logind.conf
+
+case $(uname -m) in
+ x86_64) echo 'KEYS="archlinux parabola"' > /etc/conf.d/pacman-init
+ ;;
+ i686) echo 'KEYS="archlinux archlinux32 parabola"' > /etc/conf.d/pacman-init
+ ;;
+esac
+
+useradd -m -p "" -g users -G "adm,audio,floppy,log,network,scanner,storage,optical,power,wheel,disk,sys" -s /usr/bin/zsh parabola
+
+services=(NetworkManager
+ elogind
+ alsasound
+ dbus
+ haveged
+ pacman-init)
+
+for s in ${services[@]}; do
+ rc-update add $s default
+done
+
+sed -i "s/_DATE_/$(date +%Y.%m.%d)/" /etc/motd
diff --git a/configs/profile-openrc/airootfs/root/install.txt b/configs/profile-openrc/airootfs/root/install.txt
new file mode 100644
index 0000000..a594b97
--- /dev/null
+++ b/configs/profile-openrc/airootfs/root/install.txt
@@ -0,0 +1,2 @@
+View this installation guide online at
+https://wiki.parabola.nu/Installation_Guide